Skip to content

Retrieve a case by ID
deprecated

Request

This endpoint returns a case based on the specified case ID.

Note : V1 endpoint is deprecated for new integrations and advising users to migrate to the 2026Q3 onwards API.

Security
ClientCredentialsToken
Path
caseIdinteger, (int64)required

Case ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/cases/{caseId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

case object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Case ID. Generated by Wise.

Example:123456789
statusstring
Enum:"CREATING""OPEN""PENDING""SOLVED""CLOSED"
Example:"PENDING"
typestring

Type of the case. More case types will be added in the future.

Value:"GENERAL_ENQUIRY"
Example:"GENERAL_ENQUIRY"
externalIdstring

An ID provided by the external partner for partner internal tracking.

Example:"partner_12344567"
createdAtstring, (date-time)

When the case was originally created.

Example:"2023-06-28T15:21:24.901"
updatedAtstring, (date-time)

When the case was last updated.

Example:"2023-06-28T15:21:24.901"
Response
{ "id": 123456789, "status": "PENDING", "type": "GENERAL_ENQUIRY", "externalId": "partner_12344567", "createdAt": "2023-06-28T15:21:24.901", "updatedAt": "2023-06-28T15:21:24.901" }